## r-cran-relsurv 2.2

=== DESCRIPTION ===
Package: relsurv
Title: Relative Survival
Date: 2022-12-21
Version: 2.2-9
Authors@R: c(person(c("Maja","Pohar","Perme"),role=c("aut"),email="maja.pohar@mf.uni-lj.si"), person(c("Damjan","Manevski"),role=c("aut", "cre"),email="damjan.manevski@mf.uni-lj.si"))
Author: Maja Pohar Perme [aut],
  Damjan Manevski [aut, cre]
Maintainer: Damjan Manevski <damjan.manevski@mf.uni-lj.si>
Description: Contains functions for analysing relative survival data, including nonparametric estimators of net (marginal relative) survival, relative survival ratio, crude mortality, methods for fitting  and checking additive and multiplicative regression models, transformation approach, methods for dealing with population mortality tables. Work has been described in Pohar Perme, Pavlic (2018) <doi:10.18637/jss.v087.i08>.
Depends: R (>= 3.5.0), survival (>= 2.42), date
Imports: splines, ggplot2, pammtools, scales
License: GPL
LazyData: true
NeedsCompilation: yes
Repository: CRAN
RoxygenNote: 7.2.3
Packaged: 2022-12-22 13:09:50 UTC; dmanevski
Date/Publication: 2022-12-22 13:30:02 UTC

=== debian/changelog ===
r-cran-relsurv (2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 10 Aug 2018 12:18:19 +0200

r-cran-relsurv (2.1-2-1) unstable; urgency=medium

  * Initial release (closes: #898508)

 -- Andreas Tille <tille@debian.org>  Sat, 12 May 2018 23:00:09 +0200

=== debian/control ===
Source: r-cran-relsurv
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-date
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
Homepage: https://cran.r-project.org/package=relsurv

Package: r-cran-relsurv
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R relative survival
 Various functions for relative survival analysis: regression and
 non-parametric estimators.
 .
 It is used in "Analysing population-based cancer survival - settling
 the controversies."

## r-cran-relsurv 2.2-3

=== debian/changelog ===
r-cran-relsurv (2.2-3-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove empty debian/tests/control.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 11:50:09 +0200

r-cran-relsurv (2.2-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 10:53:31 +0100

r-cran-relsurv (2.2-2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 22 Oct 2018 11:03:57 +0200

r-cran-relsurv (2.2-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 03 Sep 2018 14:03:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-survival,
+               r-cran-survival (>= 2.42),
                r-cran-date
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
 Homepage: https://cran.r-project.org/package=relsurv
+Rules-Requires-Root: no
 
 Package: r-cran-relsurv
 Architecture: any

## r-cran-relsurv 2.2-6

=== debian/changelog ===
r-cran-relsurv (2.2-6-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Build-Depends: r-cran-pammtools

 -- Andreas Tille <tille@debian.org>  Wed, 29 Dec 2021 07:41:35 +0100

r-cran-relsurv (2.2-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 28 Aug 2021 19:21:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-survival (>= 2.42),
-               r-cran-date
-Standards-Version: 4.5.0
+               r-cran-survival,
+               r-cran-date,
+               r-cran-ggplot2,
+               r-cran-pammtools,
+               r-cran-scales
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
 Homepage: https://cran.r-project.org/package=relsurv

## r-cran-relsurv 2.2-8

=== debian/changelog ===
r-cran-relsurv (2.2-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 13:45:33 +0200

r-cran-relsurv (2.2-7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 15:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-ggplot2,
                r-cran-pammtools,
                r-cran-scales
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
 Homepage: https://cran.r-project.org/package=relsurv

## r-cran-relsurv 2.2-9

=== debian/changelog ===
r-cran-relsurv (2.2-9-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.2-9
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:26:24 +0530

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-ggplot2,
                r-cran-pammtools,
                r-cran-scales
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
 Homepage: https://cran.r-project.org/package=relsurv

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/relsurv_([-\d.]*)\.tar\.gz

## r-cran-relsurv 2.3-2

=== debian/changelog ===
r-cran-relsurv (2.3-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 17:11:48 +0900

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-survival,
-               r-cran-date,
                r-cran-ggplot2,
                r-cran-pammtools,
-               r-cran-scales
-Standards-Version: 4.6.2
+               r-cran-scales,
+               r-cran-rcpp (>= 1.0.10),
+               r-cran-rcpparmadillo
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
 Homepage: https://cran.r-project.org/package=relsurv

## r-cran-relsurv 2.3-3

=== debian/changelog ===
r-cran-relsurv (2.3-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Feb 2026 13:06:05 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,9 +10,11 @@
                r-cran-ggplot2,
                r-cran-pammtools,
                r-cran-scales,
-               r-cran-rcpp (>= 1.0.10),
-               r-cran-rcpparmadillo
-Standards-Version: 4.7.0
+               r-cran-rcpp,
+               r-cran-rcpparmadillo,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-relsurv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-relsurv.git
 Homepage: https://cran.r-project.org/package=relsurv
